Models
Cancel an HF export
POST
/
v1
/
hf_exports
/
{export_id}
/
cancel
Cancel an HF export
curl --request POST \
--url https://api.veri.studio/v1/hf_exports/{export_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/hf_exports/{export_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/hf_exports/{export_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"model_id": "<string>",
"repo": "<string>",
"private": true,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"progress_bytes": 123,
"total_bytes": 123,
"hf_repo_url": "<string>",
"error": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Export ID
Response
Export cancelled; the task is stopped
launching | uploading | completed | failed | cancelled
Set on completion; the pushed repo's URL.
Cancel an HF export
curl --request POST \
--url https://api.veri.studio/v1/hf_exports/{export_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/hf_exports/{export_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/hf_exports/{export_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"model_id": "<string>",
"repo": "<string>",
"private": true,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"progress_bytes": 123,
"total_bytes": 123,
"hf_repo_url": "<string>",
"error": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
